Page MenuHomePhabricator

Pywikibot documentation newcomer tasks
Closed, ResolvedPublic

Description

We welcome hackathon volunteers to try help us improving documentation and after this getting-to-know process we can together work on some more difficult tasks to solve (there is like 1000 of them :) )

Pywikibot is a Python library and collection of scripts that automate work on MediaWiki sites. Originally designed for Wikipedia, it is now used throughout the Wikimedia Foundation's projects and on many other wikis.

Event Timeline

Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJul 18 2018, 5:48 PM
matej_suchanek renamed this task from Get rid of "This documentation is incomplete" int the doc index page to Get rid of "This documentation is incomplete" in the doc index page.Jul 29 2018, 8:56 AM
Xqt triaged this task as Lowest priority.Jul 29 2018, 9:36 AM
Xqt added a subscriber: Xqt.

Is there a reason to leave her?

I guess the manual at mediawiki is a better place for the manual than docs because it is easier to update and it sin not needed to submit changes throught the code review workflow. Whereas docs is the right place for the api documentation and additional stuff related to it. I tend to remove that warning banner.

Change 450276 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[pywikibot/core@master] Remove "This documentation is incomplete" in the doc index page

https://gerrit.wikimedia.org/r/450276

xSavitar moved this task from Backlog to Needs Review on the Pywikibot board.Dec 22 2018, 6:17 PM

Change 450276 abandoned by Framawiki:
Remove "This documentation is incomplete" in the doc index page

https://gerrit.wikimedia.org/r/450276

Framawiki moved this task from Needs Review to Backlog on the Pywikibot board.

Change 509479 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [doc] Improve docs and fix some doc warnings

https://gerrit.wikimedia.org/r/509479

After 509432 the last missing script (except gui.py of course) should have generated doc.
After 509479 all major docstrings should be good readable.

There are missing some method descriptions all over the library, but I think this is not a blocker to solve this issue.

Possible options:

  • remove **This documentation is incomplete**, and needs quite some work.
  • lower priority This documentation is incomplete, and needs quite some work.
  • lower priority .. note::
  • combination of multiple options

I would suggest lowering both priorities (removing bold and changing warning to note)

Dvorapa renamed this task from Get rid of "This documentation is incomplete" in the doc index page to Get rid of "This documentation is incomplete" newcomer tasks.May 17 2019, 8:16 AM
Dvorapa updated the task description. (Show Details)
Dvorapa renamed this task from Get rid of "This documentation is incomplete" newcomer tasks to Get rid of "This documentation is incomplete" - newcomer tasks.May 17 2019, 9:01 AM
Dvorapa updated the task description. (Show Details)
Dvorapa renamed this task from Get rid of "This documentation is incomplete" - newcomer tasks to Pywikibot documentation newcomer tasks.May 17 2019, 9:08 AM
Dvorapa updated the task description. (Show Details)May 17 2019, 9:10 AM

(sorry for the adapting the original issue, I needed some already created good task)

Dvorapa updated the task description. (Show Details)May 17 2019, 9:29 AM
Phaebz added a subscriber: Phaebz.May 18 2019, 8:59 AM

Change 511318 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [docs] Lower the warning in the docs

https://gerrit.wikimedia.org/r/511318

Change 511318 merged by jenkins-bot:
[pywikibot/core@master] [docs] Lower the warning in the docs

https://gerrit.wikimedia.org/r/511318

Are there any specific tasks left to do here, or could this task be resolved?

Gechy added a subscriber: Gechy.Oct 8 2020, 9:43 PM
Xqt added a comment.Oct 9 2020, 9:46 AM

Are there any specific tasks left to do here, or could this task be resolved?

This is tracking subtasks

Aklapper added a comment.EditedOct 9 2020, 10:02 AM

@Xqt: All "subtasks" are already tagged as Pywikibot-Documentation. This task isn't tracking anything that is not already tracked / findable. If subtasks would be suitable for absolute beginners, then additionally tagging as good first task would be welcome (instead of having a parent task that nobody will find). :)

Xqt added a comment.Oct 9 2020, 12:17 PM

@Xqt: All "subtasks" are already tagged as Pywikibot-Documentation. This task isn't tracking anything that is not already tracked / findable. If subtasks would be suitable for absolute beginners, then additionally tagging as good first task would be welcome (instead of having a parent task that nobody will find). :)

Probably there is more than on way to find an issue. T223529 is the grandparent task for all good first task related to pywikibot. I refer to it sometimes via mail or so. This task T199933 holds several of them dealing with documentation. Sure it is not neccesary to have this additional level . Feel free to reconnect the chields; I am fine with it.

Xqt closed this task as Resolved.Nov 11 2020, 10:26 AM
Xqt claimed this task.